Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl
Class RequestContext

    java.lang.Object
      be.fedict.eid.applet.service.impl.RequestContext

All Implemented Interfaces:
  be.fedict.eid.applet.shared.protocol.ProtocolStateListener

    public class RequestContext

extends Object
implements be.fedict.eid.applet.shared.protocol.ProtocolStateListener

Keeps track of what was requested from the client. Manages its own life-cycle within the scope of a protocol run.

Author:
  Frank Cornelis

Field Summary
`static String` | `INCLUDE_ADDRESS_SESSION_ATTRIBUTE`
`static String` | `INCLUDE_CERTIFICATES_SESSION_ATTRIBUTE`
`static String` | `INCLUDE_IDENTITY_SESSION_ATTRIBUTE`
`static String` | `INCLUDE_PHOTO_SESSION_ATTRIBUTE`

Constructor Summary
`RequestContext(HttpServletRequest request)`
`RequestContext(HttpSession httpSession)`

Method Summary
`boolean` | `includeAddress()`
`boolean` | `includeCertificates()`
`boolean` | `includeIdentity()`
`boolean` | `includePhoto()`
`void` | `protocolStateTransition(be.fedict.eid.applet.shared.protocol.ProtocolState newProtocolState)`
`void` | `setIncludeAddress(boolean includeAddress)`
`void` | `setIncludeCertificates(boolean includeCertificates)`
`void` | `setIncludeIdentity(boolean includeIdentity)`
`void` | `setIncludePhoto(boolean includePhoto)`
`void` | `startProtocolRun()`
`void` | `stopProtocolRun()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCLUDE_IDENTITY_SESSION_ATTRIBUTE

    public static final String INCLUDE_IDENTITY_SESSION_ATTRIBUTE

### INCLUDE_ADDRESS_SESSION_ATTRIBUTE

    public static final String INCLUDE_ADDRESS_SESSION_ATTRIBUTE

### INCLUDE_PHOTO_SESSION_ATTRIBUTE

    public static final String INCLUDE_PHOTO_SESSION_ATTRIBUTE

### INCLUDE_CERTIFICATES_SESSION_ATTRIBUTE

    public static final String INCLUDE_CERTIFICATES_SESSION_ATTRIBUTE

Constructor Detail

### RequestContext

    public RequestContext(HttpServletRequest request)

### RequestContext

    public RequestContext(HttpSession httpSession)

Method Detail

### protocolStateTransition

    public void protocolStateTransition(be.fedict.eid.applet.shared.protocol.ProtocolState newProtocolState)

  Specified by:
    `protocolStateTransition` in interface `be.fedict.eid.applet.shared.protocol.ProtocolStateListener`

### startProtocolRun

    public void startProtocolRun()

  Specified by:
    `startProtocolRun` in interface `be.fedict.eid.applet.shared.protocol.ProtocolStateListener`

### stopProtocolRun

    public void stopProtocolRun()

  Specified by:
    `stopProtocolRun` in interface `be.fedict.eid.applet.shared.protocol.ProtocolStateListener`

### setIncludeIdentity

    public void setIncludeIdentity(boolean includeIdentity)

### setIncludeAddress

    public void setIncludeAddress(boolean includeAddress)

### setIncludePhoto

    public void setIncludePhoto(boolean includePhoto)

### setIncludeCertificates

    public void setIncludeCertificates(boolean includeCertificates)

### includeIdentity

    public boolean includeIdentity()

### includeAddress

    public boolean includeAddress()

### includePhoto

    public boolean includePhoto()

### includeCertificates

    public boolean includeCertificates()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.